require 'spec_helper' 

describe String do 

  describe '#take' do

    it "should return nil for an empty string" do
      ''.take.should eql ''
    end

    it "should return the first character of the string with no input" do
      'victor'.take.should eql 'v'
      'tango uniform'.take.should eql 't'
    end

    it "should return the first N characters of the string with input N" do
      'alpha'.take(1).should eql 'a'
      'hotel'.take(2).should eql 'ho'
      'india juliet kilo mike'.take('india '.size). should eql 'india '
    end

  end

  describe '#to_a' do

    it "should return an empty array for an empty string" do
      ''.take.should be_empty
    end

    it "should return an array of the first character of the string with no input" do
      'foxtrot'.take.should eql 'f'
      'quebec romeo'.take.should eql 'q'
    end

    it "should return an array of the first N characters of the string with input N" do
      'bravo'.take(1).should eql 'b'
      'delta'.take(2).should eql 'de'
      'november oscar papa quebec romeo sierra'.take('november oscar'.size). should eql 'november oscar'
    end

  end

end
